#Hedge Maze message 2
from eventAPI import *
from APIUtils import *

lFlagU = 0

def fireEvent(e):
   global lFlagU
   lFlagU = getTag(e, "lFlagU")
   if (lFlagU != 0):
      return 1
   else:
      showMessage(e, ["Though the castle appears grand from a distance, a closer inspection shows that the entire structure has long since fallen into disrepair."], optionInput)
      showMessage(e, ["The doors are a combination of rust and rot.  Somehow, they still hold together."], optionInput)
   setTag(e, "lFlagU", 1)
   return 1
